Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 581131 - Review Request: circuslinux - Gameplay is similar to "Breakout" and "Arkanoid"
Summary: Review Request: circuslinux - Gameplay is similar to "Breakout" and "Arkanoid"
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-04-10 12:17 UTC by damian
Modified: 2015-12-11 16:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-11 16:00:38 UTC


Attachments (Terms of Use)

Description damian 2010-04-10 12:17:14 UTC
Spec URL: http://damianator.no-ip.org/fedora/circuslinux.spec
SRPM URL: http://damianator.no-ip.org/fedora/12/SRPMS/circuslinux-1.0.3-1.fc12.src.rpm
Description: This is my first package, and I am seeking a sponsor.
Please note that my host is not up and running 24/7.
"Circus Linux!" is based on the Atari 2600 game "Circus Atari" by Atari,
released in 1980.  Gameplay is similar to "Breakout" and "Arkanoid"- you
slide a device left and right to bounce objects into the air which destroy
a wall.

Comment 1 Howard Ning 2010-04-16 13:35:39 UTC
I can't download your spec and srpm. Could you upload it elsewhere?

Comment 2 Mohammed Imran 2010-04-29 10:42:24 UTC
damian, you may use github.com or filebin.ca

Comment 3 damian 2010-04-29 16:48:24 UTC
sorry, had a lot of work, because of the vulcano in europe
http://filebin.ca/savwtz/circuslinux.spec
http://filebin.ca/zjvxbk/circuslinux-1.0.3-1.fc12.src.rpm

Comment 4 Mohammed Imran 2010-04-30 13:41:39 UTC
Let me do a informal review

Need to fix these
==================

1) change Url: to URL(optional)
2) Please change Description entirely,explain the game,dont use trademarks 
http://fedoraproject.org/wiki/Packaging/Guidelines#Trademarks_in_Summary_or_Description
3) change Exec in .desktop file to %{name} and Categories to Game;
http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
4) desktop-file-install should be used in %install section
Also Validate the desktop entry,add below lines
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
5)fix `/usr/share/doc/circuslinux-1.0.3': Permission denied
in mkinstalldirs script in %install section
6) use %{SOURCE5} instead of %SOURCE5

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  rpmlint should be run on each and every RPM
[x]  Package is named according to the Package Naming Guidelines.
http://fedoraproject.org/wiki/Packaging/Guidelines#Trademarks_in_Summary_or_Description
[x]  Spec file name must match the base package %{name}, in the format
%{name}.spec.

[!]  Package meets the Packaging Guidelines.
should not use Atari or "based on some company" in description 
please refer 
http://fedoraproject.org/wiki/Packaging/Guidelines#Trademarks_in_Summary_or_Description

[!]  Package successfully compiles and builds into binary rpms on at least one
supported architecture.
Need to fix ./mkinstalldirs,cant write /usr/share/doc/circuslinux-version dir error

[x]  Package is not relocatable.
[x]  Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type:GPLv2

[x]  If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
[x]  Spec file is legible and written in American English.
[!]  Sources used to build the package matches the upstream source, as provided
in the spec URL.

MD5SUM this package    :b699f3fb94a5855697d0c0667c977ac2
MD5SUM upstream package:d53f7d28d974c5605d6bebb9b1569216 
Use pristine sources

[x]  Package is not known to require ExcludeArch, OR:
Arches excluded:
Why:
[x]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.

[-]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[-]  Package must own all directories that it creates.
[-]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly. 
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).

[!]  Package contains a properly installed %{name}.desktop file if it is a GUI
application.
Catergories should be Game;
Categories=Game;
Exec should be just %{name}

[x]  Package does not own files or directories owned by other packages.

Comment 5 damian 2010-05-09 09:08:13 UTC
http://filebin.ca/jaofsj/circuslinux-1.0.3-2.fc12.src.rpm
http://filebin.ca/ojabyj/circuslinux.spec

Fixed them, but without 

fix `/usr/share/doc/circuslinux-1.0.3': Permission denied
in mkinstalldirs script in %install section

Can you give me a hint what is wrong, because I don't have this Permission denied anywhere.

Comment 6 damian 2010-05-09 17:28:06 UTC
OK, found on an other machine, with not so messed up permissions, what you mean
gonna fix it soon.

Comment 8 Mohammed Imran 2010-05-15 11:12:19 UTC
Refer this site for description, 
http://www.education.yebolinux.com/index.php/kbreakout
   
   Dont use "similiar to" some because of
http://fedoraproject.org/wiki/Packaging/Guidelines#Trademarks_in_Summary_or_Description

Release number is 3 and changelog entry doesnt match

Comment 9 damian 2010-05-16 04:33:49 UTC
http://filebin.ca/tyhrkd/circuslinux.spec
http://filebin.ca/jywod/circuslinux-1.0.3-4.fc12.src.rpm

Release number is now 4 and changelog is updated.
Description entirely changed.

Comment 10 James Hogarth 2015-12-04 01:38:03 UTC
Damian this bug is several years old at this point.

Are you intending to revisit this, find a sponsor and complete the packaging process?

As per stalled review policy if there is no response within a week this bug will be closed.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

Comment 11 Michael Schwendt 2015-12-11 12:53:53 UTC
Messing with the "Assignee To" field or the "fedora-review" flag can lead to hiding this ticket from the needsponsor queue:

  http://fedoraproject.org/PackageReviewStatus/

(!) It has not been displayed on that queue since 2010-05-30 due to that.

Meanwhile, it seems the files are no longer available.

Comment 12 James Hogarth 2015-12-11 16:00:38 UTC
It has been over a week and the requestor has not responded to a NeedsInfo flag.

Closing as per policy.


Note You need to log in before you can comment on or make changes to this bug.